# include "Ximage.h"

int 
InterpretKeys (graphic, layout, event)
Graphic        graphic[];
Layout         layout[];
XEvent        *event;
{

  int    status;
  KeySym keysym;
  char            string[10];
  XComposeStatus  composestatus;

  XLookupString ((XKeyEvent *)event, string, 9, &keysym, &composestatus);

  switch (keysym) {

  case XK_Tab:
    MOVE_POINTER = MOVE_POINTER ^ TRUE;
    if (MOVE_POINTER) UpdatePointer (graphic, layout, (XMotionEvent *)event);
    status = TRUE;
    break;

  default:
    status = TRUE;
  }

  return (status);

}




/************* the stuff below this line is old - remove eventually */
/*
  case XK_Right:
  case XK_Left:
  this is all old, but a good example for putting in the cursor motion.

    break;
*/

